
FreeNAS - Feature #39573

Update iocage Plugins for BETA3

07/25/2018 07:25 AM - Martin Wilke

Status: Done Estimated time: 0.00 hour

Priority: No priority   

Assignee: Martin Wilke   

Category: OS   

Target version: 11.2-BETA3   

Severity: New Needs Merging: No

Reason for Closing:  Needs Automation: No

Reason for Blocked:  Support Suite Ticket: n/a

Needs QA: No Hardware

Configuration:

 

Needs Doc: No   

Description

For 11.2-BETA3, update Plugins to these versions:

BackupPC: 4-4.2.1 (version verified but does not show version correctly yet in UI)

Bacula: 9.0.6 (version verified but does not show version correctly yet in UI)

BitTorrent Sync: 2.5.13

BRU Server: 2.0.5

ClamAV: 0.100.1

Couch Potato: 0.0.20170327-2

Deluge: 1.3.15

Emby: 3.5.2.0

GitLab: 11.1.4

irssi: 1.1.1

Jenkins: 2.135

Jenkins (LTS): 2.121.2

MadSonic: 6.0_6

MineOS: https://github.com/hexparrot/mineos-node/commit/5b472a3

NextCloud: 13.0.5 (version verified but does not show version correctly yet in UI)

Plex Media Server: 1.13.4.5271 (if install fails, try again)

Plex Media Server (PlexPass): 1.13.5.5291 (if install fails, try again)

qbittorent: 4.1.1 (version verified but does not show version correctly yet in UI)

Quasselcore: 0.12.5

radarr: 0.2.0.1120

Redmine: 3.4.6
sabnzbd: removed from listing, plugin to be fixed for RC1

SickRage: still need a way to determine which git commit

Sonarr: 2.0.0.5228

SubSonic: 6.0_6

Syncthing: 0.14.48

Tarsnap: 1.0.39

TinyTinyRSS: removed from listing, plugin to be fixed for RC1

Transmission: 2.94

weechat: 2.2

XMRig: 2.6.4

Zoneminder: removed from listing, plugin to be fixed for RC1

Related issues:

Related to FreeNAS - Feature #41080: Switch plugin release back to 11.1-RELEA... Closed

Related to FreeNAS - Bug #41538: Fix plexmediaserver conflict with plexmedias... Done

Related to FreeNAS - Bug #41532: Fix jenkins conflict with jenkins-tls Done

Related to FreeNAS - Bug #41312: Plex server quite out of date Closed

Related to FreeNAS - Bug #40416: SABNZBD and SONARR plugin installation issue... Closed

Related to FreeNAS - Feature #30136: Add ZoneMinder iocage plugin Done

Related to FreeNAS - Bug #37806: Create  SabNZBD iocage plugin Closed

Related to FreeNAS - Feature #24811: Make Plug-in for tiny tiny rrs reader Closed

Related to FreeNAS - Bug #44735: Fix bug when installing Plugins without an u... Done

Related to FreeNAS - Bug #44834: Retry on pkg install failures to overcome tr... Done

Related to FreeNAS - Bug #34162: Fix Nextcloud iocage plugin Done

Has duplicate FreeNAS - Bug #42185: [V.Low Priority] qBittorrent 4.1.2 availa... Closed

Associated revisions

Revision 9932fdd9 - 09/05/2018 01:13 PM - Dru Lavigne

Update plugins list for BETA3.

Ticket: #39573

History

#1 - 08/08/2018 11:30 AM - Dru Lavigne

- Project changed from 93 to FreeNAS

- Subject changed from iocage plugins update to the latest portstree version to Update iocage Plugins for BETA3

- Description updated

- Category set to OS

- Severity set to New

- Needs QA set to Yes

- Needs Doc set to Yes

- Needs Merging set to Yes

- Needs Automation set to No

- Support Suite Ticket set to n/a

#3 - 08/08/2018 11:31 AM - Dru Lavigne

- Description updated
#4 - 08/09/2018 05:33 PM - Dru Lavigne

- Related to Feature #41080: Switch plugin release back to 11.1-RELEASE in 11.1-RELEASE branch of freenas/iocage-ix-plugins added

#5 - 08/13/2018 06:50 AM - Martin Wilke

- Status changed from Unscreened to In Progress

Hi,

All packages have been updated. Working on testing now.

#6 - 08/13/2018 11:38 PM - Martin Wilke

- Related to Bug #41538: Fix plexmediaserver conflict with plexmediaserver-plexpass added

#7 - 08/13/2018 11:38 PM - Martin Wilke

- Related to Bug #41532: Fix jenkins conflict with jenkins-tls added

#9 - 08/14/2018 11:19 AM - Dru Lavigne

- Related to Bug #41312: Plex server quite out of date added

#10 - 08/14/2018 12:50 PM - Dru Lavigne

https://github.com/freenas/iocage-plugin-gitlab/pull/3

https://github.com/freenas/iocage-ports/pull/6

https://github.com/freenas/iocage-ports/pull/7

https://github.com/freenas/iocage-ports/pull/8

https://github.com/freenas/iocage-ix-plugins/commit/a9cf769e09934a29d9a53c9be417ef20be5610d9

#11 - 08/15/2018 03:48 AM - Martin Wilke

Gitlab Fix: https://github.com/freenas/iocage-plugin-gitlab/pull/3

#14 - 08/15/2018 10:21 AM - Martin Wilke

- Status changed from In Progress to Ready for Testing

#16 - 08/16/2018 06:34 AM - Dru Lavigne

- Related to Bug #40416: SABNZBD and SONARR plugin installation issues on 11.2 Beta2 added

#17 - 08/19/2018 05:59 AM - Dru Lavigne

- Has duplicate Bug #42185: [V.Low Priority] qBittorrent 4.1.2 available on Freshports, what is new upgrade process? added

#18 - 08/19/2018 04:49 PM - Disk Didler

Dru,

Can I clarify regarding my closed dupe, what /is/ the update process, once it's actually live?   Will there be an 'update' option in the UI? Will it be like

the Warden UI with 'update available' notifications?

That was partially my point in the closed dupe.

#19 - 08/20/2018 04:49 AM - Dru Lavigne
Yes, that is the plan. If the update button is not working once BETA3 is available, please remind me to reopen your dupe for investigation.

#20 - 08/22/2018 04:29 PM - Disk Didler

Dru Lavigne wrote:

Yes, that is the plan. If the update button is not working once BETA3 is available, please remind me to reopen your dupe for investigation.

 

In that case, it may actually be wise to NOT upgrade all the plugins, for the sake of the plugin upgrade process.

Ship BETA3 with 4.1.1 of qbittorrent for example, then publish the 4.1.2 update and let us all test it?  I'm happy to.

#21 - 08/23/2018 04:04 AM - Dru Lavigne

Correct. The plugins are updated in the repo, it is up to the user to decide when they wish to upgrade their installed version.

#22 - 08/30/2018 06:59 AM - Dru Lavigne

- Description updated

#24 - 08/31/2018 11:18 AM - Jeff Ervin

- File Plugin Version 1.png added

- File Plugin Version 2.png added

- File Plugin Version 3.png added

- File Plugin Version 4.png added

Test Passes FreeNAS-11.2-MASTER-201808220903

All plugins versions match as outlined/referenced above.

#25 - 08/31/2018 11:18 AM - Jeff Ervin

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

#26 - 08/31/2018 02:29 PM - Dru Lavigne

- Status changed from Passed Testing to Ready for Testing

- Needs QA changed from No to Yes

- Needs Merging changed from Yes to No

#28 - 09/05/2018 07:50 AM - Dru Lavigne

- Related to Feature #30136: Add ZoneMinder iocage plugin added

#29 - 09/05/2018 07:50 AM - Dru Lavigne

- Related to Bug #37806: Create  SabNZBD iocage plugin added

#30 - 09/05/2018 07:51 AM - Dru Lavigne

- Related to Feature #24811: Make Plug-in for tiny tiny rrs reader added
#31 - 09/05/2018 07:58 AM - Dru Lavigne

- Description updated

#32 - 09/05/2018 08:02 AM - Dru Lavigne

- Description updated

#33 - 09/05/2018 08:16 AM - Dru Lavigne

- Related to Bug #44735: Fix bug when installing Plugins without an underlying FreeBSD package added

#34 - 09/05/2018 08:16 AM - Dru Lavigne

- Description updated

#35 - 09/05/2018 10:19 AM - Dru Lavigne

INDEX PRs and commits: https://github.com/freenas/iocage-ix-plugins/pull/39

https://github.com/freenas/iocage-ix-plugins/pull/40

https://github.com/freenas/iocage-ix-plugins/commit/8611807850d8e013457e85673d8809882dd7078e

https://github.com/freenas/iocage-ix-plugins/commit/d8b3ae5d346dfd730a7cd7dfe0949cd477d422cf

#36 - 09/05/2018 10:54 AM - Dru Lavigne

- Related to Bug #44823: Gitlab plugin installation incomplete on FreeNAS-11.2-MASTER-201809050856 added

#37 - 09/05/2018 10:58 AM - Dru Lavigne

- Description updated

#38 - 09/05/2018 11:11 AM - Dru Lavigne

- Description updated

#39 - 09/05/2018 11:46 AM - Dru Lavigne

- Related to Bug #44834: Retry on pkg install failures to overcome transient network errors when installing Plugins added

#40 - 09/05/2018 11:56 AM - Dru Lavigne

- Description updated

#41 - 09/05/2018 12:10 PM - Dru Lavigne

- Description updated

#42 - 09/05/2018 12:21 PM - Dru Lavigne

- Description updated

#43 - 09/05/2018 01:14 PM - Dru Lavigne

- Status changed from Ready for Testing to Done

- Needs QA changed from Yes to No

- Needs Doc changed from Yes to No

Doc commits:

https://github.com/freenas/freenas-docs/commit/9932fdd9eeb2655839eec3702d300b4cf3562c89

https://github.com/freenas/freenas-docs/commit/247f006033ca1c230ef7c11fd4dbb009860e475c

https://github.com/freenas/freenas-docs/commit/3e8bf524513869454c23343959583dad4733bcb0
#44 - 09/05/2018 01:15 PM - Dru Lavigne

- Description updated

#46 - 09/05/2018 01:22 PM - Dru Lavigne

- Copied to Feature #44856: Update iocage Plugins for RC1 added

#47 - 09/05/2018 01:23 PM - Dru Lavigne

- Copied to deleted (Feature #44856: Update iocage Plugins for RC1)

#48 - 09/06/2018 05:34 AM - Dru Lavigne

- Status changed from Done to Ready for Testing

- Needs QA changed from No to Yes

#50 - 09/06/2018 09:29 AM - Dru Lavigne

- Related to deleted (Bug #44823: Gitlab plugin installation incomplete on FreeNAS-11.2-MASTER-201809050856)

#51 - 09/06/2018 09:36 AM - Dru Lavigne

- Description updated

#52 - 09/07/2018 07:01 AM - Dru Lavigne

- Description updated

#53 - 09/07/2018 07:08 AM - Dru Lavigne

- Status changed from Ready for Testing to Done

- Needs QA changed from Yes to No

#54 - 09/08/2018 05:55 AM - Dru Lavigne

- Related to Bug #34162: Fix Nextcloud iocage plugin added

Files

Plugin Version 1.png 233 KB 08/31/2018 Jeff Ervin

Plugin Version 2.png 89.5 KB 08/31/2018 Jeff Ervin

Plugin Version 3.png 102 KB 08/31/2018 Jeff Ervin

Plugin Version 4.png 44.3 KB 08/31/2018 Jeff Ervin
